# List current employments ## ▶️ Usage With the List Current Employments method, you can: 1. List current employments related to a specific link.id (using the link query parameter). 2. Get the details of a specific current-employment.id (using the id query parameter). 3. [Not Recommended] List all current employments related to your Belvo account (without using any query parameters). ## 📖 Pagination This method returns a paginated response (default: 100 items per page). You can use the page_size query parameter to increase the number of items returned to a maximum of 1000 items. You can use the page query parameter to navigate through the results. For more details on how to navigate Belvo's paginated responses, see our Pagination Tips article. ## 🔦 Filtering Responses Please see the query list below for a list of fields that you can filter your responses by. For more information on how to use filters, see our Filtering responses article. Endpoint: GET /api/mx/current-employments/ Version: 1.223.0 Security: basicAuth ## Query parameters: - `id` (string) Return information only for this resource id. Example: "24ccab1d-3a86-4136-a6eb-e04bf52b356f" - `id__in` (array) Return information for these resource ids. Example: ["6b3dea0f-be29-49d1-aabe-1a6d588642e6"] - `link` (string) The link.id you want to filter by. ℹ️ We highly recommend adding the link.id filter in order to improve your performance. Example: "8848bd0c-9c7e-4f53-a732-ec896b11d4c4" - `link__in` (array) Return results only for these link.ids. Example: ["5722d0ba-69d7-42dc-8ff5-33767b83c5d6"] - `page_size` (integer) Indicates how many results to return per page. By default we return 100 results per page. ℹ️ The minimum number of results returned per page is 1 and the maximum is 1000. If you enter a value greater than 1000, our API will default to the maximum value (1000). Example: 100 - `page` (integer) A page number within the paginated result set. Example: 1 - `collected_at` (string) Return items that were retrieved from the institution on this date (YYYY-MM-DD or full ISO-8601 timestamp). Example: "2022-05-01" - `collected_at__gt` (string) Return items that were retrieved from the institution after this date (YYYY-MM-DD or full ISO-8601 timestamp). Example: "2022-05-05" - `collected_at__gte` (string) Return items that were retrieved from the institution after or on this date (YYYY-MM-DD or full ISO-8601 timestamp). Example: "2022-05-04" - `collected_at__lt` (string) Return items that were retrieved from the institution before this date (YYYY-MM-DD or full ISO-8601 timestamp). Example: "2022-04-01" - `collected_at__lte` (string) Return items that were retrieved from the institution before or on this date (YYYY-MM-DD or full ISO-8601 timestamp). Example: "2022-03-30" - `collected_at__range` (array) Return items that were retrieved from the institution between two dates (YYYY-MM-DD or full ISO-8601 timestamp). The first value indicates the start of the range and the second value indicates the end of the range. Example: ["2022-01-01","2022-12-31"] - `created_at` (string) Return items that were last updated in Belvo's database on this date (in YYYY-MM-DD format). Example: "2022-05-05" - `created_at__gt` (string) Return items that were last updated in Belvo's database after this date (in YYYY-MM-DD format). Example: "2022-05-05" - `created_at__gte` (string) Return items that were last updated in Belvo's database after or on this date (in YYYY-MM-DD format). Example: "2022-05-04" - `created_at__lt` (string) Return items that were last updated in Belvo's database before this date (in YYYY-MM-DD format). Example: "2022-04-01" - `created_at__lte` (string) Return items that were last updated in Belvo's database before or on this date (in YYYY-MM-DD format). Example: "2022-03-30" - `created_at__range` (array) Return accounts that were last updated in Belvo's database between two dates (in YYYY-MM-DD format). The first value indicates the start of the range and the second value indicates the end of the range. Example: ["2022-01-01","2022-12-31"] ## Response 200 fields (application/json): - `count` (integer) The total number of results in your Belvo account. Example: 130 - `next` (string,null) The URL to next page of results. Each page consists of up to 100 items. If there are not enough results for an additional page, the value is null. In our documentation example, we use {endpoint} as a placeholder value. In production, this value will be replaced by the actual endpoint you are currently using (for example, accounts or owners). Example: "https://sandbox.belvo.com/api/{endpoint}/?link=1bd948f7-245d-4313-b604-34d1044cb908page=2" - `previous` (string,null) The URL to the previous page of results. If there is no previous page, the value is null. - `results` (array) - `results.id` (string, required) Belvo's unique identifier for the current item. Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d" - `results.link` (string,null, required) The link.id the data belongs to. Example: "30cb4806-6e00-48a4-91c9-ca55968576c8" - `results.created_at` (string, required) The ISO-8601 timestamp of when the data point was created in Belvo's database. Example: "2022-02-09T08:45:50.406032Z" - `results.collected_at` (string, required) The ISO-8601 timestamp when the data point was collected. Example: "2022-02-09T08:45:50.406032Z" - `results.month` (string,null, required) The month for which the current employment status is reported, in YYYY-MM format. If status is UNEMPLOYED, this field is null. Example: "2023-01" - `results.internal_identification` (string,null, required) Unique ID for user according to the institution. For IMSS and ISSSTE Mexico, this is the CURP. If status is UNEMPLOYED, this field is null. Example: "BLPM230130IONVGR54" - `results.personal_data` (object, required) Details regarding the personal information of the individual. - `results.personal_data.official_name` (string,null, required) The legal name of the individual. Example: "Bruce Banner del Torro" - `results.personal_data.first_name` (string,null, required) The first name of the individual. Example: "Bruce" - `results.personal_data.last_name` (string,null, required) The last name of the individual. Example: "Banner del Torro" - `results.personal_data.birth_date` (string,null, required) The date of birth of the individual, in YYYY-MM-DD format. Example: "1990-02-09" - `results.personal_data.document_ids` (array, required) Details regarding the individual's ID documents. - `results.personal_data.document_ids.document_type` (string,null, required) The type of document related to the individual. We return one of the following values: - NSS - CURP - RFC Enum: "NSS", "CURP", "RFC" - `results.personal_data.document_ids.document_number` (string,null, required) The ID document's number (as a string). Example: "10277663582" - `results.status` (string, required) The current employment status of the individual. Enum: "EMPLOYED", "UNEMPLOYED" - `results.current_employment_records` (array,null, required) Details regarding the individual's current employment. If status is UNEMPLOYED, this field is null. - `results.current_employment_records.employer` (string, required) The official name of the employer. Example: "Batman Enterprises CDMX" - `results.current_employment_records.employer_id` (string, required) The official ID of the employer, according to the country. Example: "123456789010" - `results.current_employment_records.employer_rfc` (string, required) The employer's RFC (tax identification number). Example: "RFC123456" - `results.current_employment_records.state` (string, required) The geographical state where the employment is located. Example: "CDMX" - `results.current_employment_records.days_employed` (integer, required) The number of days the individual has been employed with this employer. Example: 365 - `results.current_employment_records.base_salary` (number,null, required) The base salary of the individual. Example: 10000 - `results.current_employment_records.monthly_salary` (number,null, required) The monthly salary of the individual, including any additional perks. Example: 304166.67 ## Response 403 fields (application/json): - `code` (string) A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically. ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied. Example: "access_to_resource_denied" - `message` (string) A short description of the error. For access_to_resource_denied errors, the description is: - You don't have access to this resource.. Example: "You don't have access to this resource." - `request_id` (string) A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations. Example: "9e7b283c6efa449c9c028a16b5c249fb" ## Response 408 fields (application/json): - `code` (string) A unique error code (request_timeout) that allows you to classify and handle the error programmatically. ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors. Example: "request_timeout" - `message` (string) A short description of the error. For request_timeout errors, the description is: - The request timed out, you can retry asking for less data by changing your query parameters. Example: "The request timed out, you can retry asking for less data by changing your query parameters" - `request_id` (string) A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations. Example: "9e7b283c6efa449c9c028a16b5c249fb" ## Response 428 fields (application/json): - `code` (string) A unique error code (token_required) that allows you to classify and handle the error programmatically. ℹ️ Check our DevPortal for more information on how to handle 428 token_required errors. Example: "token_required" - `message` (string) A short description of the error. For token_required errors, the description is: - A MFA token is required by the institution to login. Example: "A MFA token is required by the institution to login" - `request_id` (string) A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations. Example: "9e7b283c6efa449c9c028a16b5c249fb" - `session` (string) A 32-character unique ID of the login session (matching a regex pattern of: [a-f0-9]{32}). Example: "2675b703b9d4451f8d4861a3eee54449" - `expiry` (integer) Session duration time in seconds. Example: 9600 - `link` (string) Unique identifier created by Belvo, used to reference the current Link. Example: "30cb4806-6e00-48a4-91c9-ca55968576c8" - `token_generation_data` (object) Details on how to generate the token. - `token_generation_data.instructions` (string) Instructions for token generation. Example: "Use this code to generate the token" - `token_generation_data.type` (string) Type of the data to generate the token (QR code, numeric challenge). Example: "numeric" - `token_generation_data.value` (string) Value to use to generate the token. Example: "12345" - `token_generation_data.expects_user_input` (boolean) Indicates whether the user needs to provide input in order to complete the authentication. When set to false, your user may need to: - confirm the login on another device - scan a QR code You will still need to make a PATCH call to complete the request. Example: true ## Response 500 fields (application/json): - `code` (string) A unique error code (unexpected_error) that allows you to classify and handle the error programmatically. ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors. Example: "unexpected_error" - `message` (string) A short description of the error. For unexpected_error errors, the description is: - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution. Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution" - `request_id` (string) A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations. Example: "9e7b283c6efa449c9c028a16b5c249fb"